#!/usr/bin/env bash

# Color  - Code color Bash


show_color(){
clear

if (whiptail --title "Boite de dialogue Oui / Non" --yesno "Montre moi ton code couleur ?" 10 60) then
        echo "C'est le plus beau code de ma vie"
      for code in {0..255}
      do echo -e "\e[38;5;${code}m"'\\e[38;5;'"$code"m"\e[0m"
      done
  else
   echo "bye bye ?!"
 fi


#for code in {0..255}
#     do echo -e "\e[38;5;${code}m"'\\e[38;5;'"$code"m"\e[0m"

}

show_color
